// This program reads a text file and prints each line to the console. 
// It uses FileOutputStream to read the file.
public void fileInput(String sFileName) {
	File file = new File(sFileName);
	FileInputStream fis = null;
	BufferedInputStream bis = null;
	DataInputStream dis = null;
    try {
      fis = new FileInputStream(file);
      // BufferedInputStream is added for fast reading
      bis = new BufferedInputStream(fis);
      dis = new DataInputStream(bis);
      // dis.available() returns 0 if the file has no more lines
      while (dis.available() != 0) {
        // reads the line from the file and prints it to the console
        System.out.println(dis.readLine());
      }
      // dispose all the resources after using them
      fis.close();
      bis.close();
      dis.close();

    } catch (FileNotFoundException e) {
      e.printStackTrace();
    } catch (IOException e) {
      e.printStackTrace();
    }
}
